MetalSliderUI.MetalPropertyListener (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.metal, class: MetalSliderUI, class: MetalPropertyListener
Keywords: javax.swing.plaf.metal.MetalSliderUI.MetalPropertyListener class

# Class MetalSliderUI.MetalPropertyListener

java.lang.Object
javax.swing.plaf.basic.BasicSliderUI.PropertyChangeHandler
javax.swing.plaf.metal.MetalSliderUI.MetalPropertyListener

All Implemented Interfaces:
  `PropertyChangeListener, EventListener`

Enclosing class:
  `MetalSliderUI`

protected class MetalSliderUI.MetalPropertyListener extends BasicSliderUI.PropertyChangeHandler
`PropertyListener` for `JSlider.isFilled`.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetalPropertyListener()`
  Constructs a `MetalPropertyListener`.

- ## Method Summary

  ### Methods declared in class BasicSliderUI.PropertyChangeHandler

  `propertyChange`
  Modifier and Type
  Method
  Description
  `void`
  `propertyChange(PropertyChangeEvent e)`
  This method gets called when a bound property is changed.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### MetalPropertyListener

    protected MetalPropertyListener()
    Constructs a `MetalPropertyListener`.